Send message

Prev Next

Available in Classic and VPC

Send an informational Alim Talk message to all users.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /alimtalk/v2/services/{serviceId}/messages

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Biz Message service ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
plusFriendId String Required Channel ID
templateCode String Required Template code
messages Array Required Message information
  • Up to 100 entries allowed
reserveTime String Optional Reserved date and time
  • YYYY-MM-DD HH:mm format.
  • Enter for reserved delivery.
reserveTimeZone String Optional Reserved time zone
Note

If an image is registered in the template, it is automatically added to the Alim Talk message.

messages

The following describes messages.

Field Type Required Description
countryCode String Optional Country code
to String Required Recipient number
  • Only numbers can be entered.
title String Optional Highlight information title
  • Available only in highlight type templates
content String Required Message content
headerContent String Optional Alim Talk header (byte)
  • 0-16
  • Available only in item list-type templates
itemHighlight Object Optional Item highlight information
  • Available only in item list-type templates
itemHighlight.title String Conditional Item highlight title
  • Without image: 15 characters per line, up to 30 characters total
  • With image: 10 characters per line, up to 21 characters total
  • Truncation occurs when limit is exceeded.
itemHighlight.description String Conditional Item highlight content
item Object Optional Item list information
  • Available only in item list-type templates
item.list Array Conditional Item list
  • 2-10 can be entered.
item.summary Object Optional Item summary information
  • Available only in item list-type templates
item.summary.title String Conditional Item summary title
  • 1-6 characters
  • Available only in item list-type templates
item.summary.description String Conditional Item summary content
  • 1-23 characters
  • Allowed characters: Currency symbols (unicode, won, yuan, yen), currency codes (ISO 4217), numbers, commas, spaces, decimal points (2 digits)
buttons Array Optional Message button information
useSmsFailover Boolean Optional SMS alternative delivery usage
  • true | false
    • true: Enable
    • false: Disable
  • Default: Follow the settings of Kakao Talk Channel.
  • Available only on Kakao Talk Channels where alternative delivery is configured.
failoverConfig Object Optional Alternate delivery settings
failoverConfig.type String Optional Message type
  • SMS | LMS
    • SMS: SMS message
    • LMS: LMS message
  • If not entered, it is automatically applied based on the message length.
    • Up to 90 bytes: SMS
    • Over 90 bytes: LMS
failoverConfig.from String Optional Caller ID
failoverConfig.subject String Optional Message subject
  • If not entered, the channel name is applied.
  • Only available in LMS.
failoverConfig.content String Optional Message content
  • If not entered, the Alim Talk message content is applied (excluding buttons).
Note
  • Enter content and buttons according to the registered and approved template. Failure to comply with the template specifications may result in delivery failure.
  • The SMS alternative delivery feature operates when a Biz Message delivery result code indicates failure, but it does not operate for codes prefixed with "B".
  • If the template has images registered, then the registered images will be sent even if you don't insert it in the content in the request body when sending a message separately.
  • For more information on template registration and inspection, see the AlimTalk Template user guide.

item.list

The following describes item.list.

Field Type Required Description
title String Required Item name
  • 1-6 characters
description String Required Item content
  • 1-23 characters

buttons

The following describes buttons.

Field Type Required Description
type String Required Button type
  • DS | WL | AL | BK | MD | AC
    • DS: Shipment tracking
    • WL: Web link
    • AL: App link
    • BK: Bot keyword
    • MD: Message delivery
    • AC: Add channel
  • When sending delivery-related messages, see List of supported couriers that allow tracking via WL.
name String Required Button name
  • Up to 20 characters.
  • Enter as Add channel if type is AC.
linkMobile String Conditional Mobile web link
  • Required if type is WL
linkPc String Conditional PC web link
  • Required if type is WL
schemeIos String Conditional iOS app link
  • Required if AL is type
schemeAndroid String Conditional Android app link
  • Required if AL is type
Note

Enter all fields according to the registered and approved template. Failure to comply with the template specifications may result in delivery failure.

Request example

The request example is as follows:

curl --location --request POST 'https://sens.apigw.ntruss.com/alimtalk/v2/services/ncp:kkobizmsg:kr:27*********6:sens/messages' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "plusFriendId": "@******",
    "templateCode": "temp001",
    "messages": [
        {
            "countryCode": "82",
            "to": "010********",
            "content": "Dear Gildong Hong,\nThe translation document [PO394857] you requested will be sent via email today at 6:00 PM KST.\n\nWe will send you a notification after the email is sent.\nThank you.",
            "useSmsFailover": true,
            "failoverConfig": {
                "type": "SMS",
                "from": "010********",
                "content": "Dear Gildong Hong,\nThe translation document [PO394857] you requested will be sent via email today at 6:00 PM KST.\n\nWe will send you a notification after the email is sent.\nThank you."
            }
        }
    ]
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
requestId String Required Request ID
requestTime String Required Request date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
statusCode String Required Status code
  • It follows HTTP status code rules.
    • 202: Success
    • Others: Failure
statusName String Required Status
  • success | processing | reserved | fail
    • success: Success
    • processing: Processing
    • reserved: Reserved
    • fail: Failure
messages Array Required Message information
  • Display for instant delivery.

messages

The following describes messages.

Field Type Required Description
messageId String Required Message ID
countryCode String Optional Country code
to String Required Recipient number
content String Required Message content
requestStatusCode String Required Request status code
  • A000: Success
  • Others: Failure
requestStatusName String Required Request status
  • success | fail
    • success: Success
    • fail: Failure
requestStatusDesc String Required Request status description
useSmsFailover Boolean Required Use of SMS alternative delivery
  • true | false
    • true: Enable
    • false: Disable

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

{
    "requestId": "RBAA-*************-****-********-zgrtzVEW",
    "requestTime": "2025-11-25T15:39:20.899",
    "statusCode": "202",
    "statusName": "processing",
    "messages": [
        {
            "messageId": "aa724ca6-****-****-****-66dfc1a700e7",
            "countryCode": "82",
            "to": "010********",
            "content": "Dear Gildong Hong,\nThe translation document [PO394857] you requested will be sent via email today at 6:00 PM KST.\n\nWe will send you a notification after the email is sent.\nThank you.",
            "requestStatusCode": "A000",
            "requestStatusName": "success",
            "requestStatusDesc": "Succeeded",
            "useSmsFailover": true
        }
    ]
}

List of supported couriers

The list of courier companies that can be linked to the delivery tracking page via the web link (WL) button is as follows:

Note

Buttons are not automatically added for unsupported couriers.

Courier Parcel name Tracking number
ePOST Korea Korea Post 13-digit number, or [6-digit + 7-digit] number
  • Separator: "-" or "_"
Logen Logen 11-digit number, or [3-digit + 4-digit + 4-digit] number
  • Separator: "-" or "_"
ILYANG Logis
  • ILYANG Logis Parcel
  • ILYANG Parcel
  • ILYANG Logis
9 to 11-digit number
FedEX
  • FedEx
  • FedEx
  • fedex
12-digit number
HANJIN TRANSPORTATION HANJIN TRANSPORTATION 10-digit number or 12-digit number
KYOUNGDONG EXPRESS KYOUNGDONG EXPRESS 9-digit to 16-digit number, or [4-digit + 3-digit + 6-digit] number
  • Separator: "-"
HAPDONG EXPRESS HAPDONG EXPRESS 9 to 16-digit number
LOTTE GLOBAL LOGISTICS
  • Lotte Parcel
  • Lotte Logistics
  • Hyundai Parcel
  • Hyundai Logistics
12-digit number, or [4-digit + 4-digit + 4-digit] number
  • Separator: "-"
Nonghyup Logis Nonghyup Logis 12-digit number
HONAM LOGISTICS HONAM LOGISTICS 10-digit number
CHUNIL PARCEL CHUNIL PARCEL 11-digit number
DAESIN PARCEL SERVICES DAESIN PARCEL SERVICES 13-digit number
KUNYONG EXPRESS KUNYONG EXPRESS 10-digit number
CUpost
  • CU post
  • CU post parcel
10-digit or 12-digit number, or [4-digit + 4-digit + 4-digit] number
  • Separator: "-" or "_"
CVSnet convenience store logistics
  • GS Postbox
  • GS Parcel
  • CVSnet Parcel
10-digit or 12-digit number, or [4-digit + 4-digit + 4-digit] number
  • Separator: "-" or "_"
Handex Handex 10-digit number or 14-digit number
TNT Express
  • TNTExpress
  • TNT Parcel
  • TNT Express
8 to 9-digit number
USPS USPS 10-digit number, 22-digit number, or [2 uppercase English letters + 9-digit number + 2 uppercase English letters]
  • No separator
EMS EMS 2 uppercase English letters + 9-digit number + 2 uppercase English letters
  • No separator
DHL DHL 10-digit number
GOODSTOLUCK GOODSTOLUCK [4-digit + 4-digit + 4-digit] number
  • Separator: "-"